<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  E-Commerce Solutions

  Copyright (c) 2005 www.flash-template-design.com

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<center>
 <table border="0" cellpadding="0" cellspacing="0" width="100%">
 <tr>
  	<td width="50%" valign="top" align="right" style="background:url(images/bg.gif) right"><img src="images/bg.gif" width="3" height="3" alt="" /></td>
 	<td width="18" valign="top" background="images/left_bg.gif"><img src="images/left_bg.gif" width="18" height="3" alt="" /></td>
	<td width="709" style="border:1px solid #388907; border-width:0px 1px;" bgcolor="#286901">
	 <table border="0" cellpadding="0" cellspacing="0" width="709">
 		<tr>
			<td colspan="2" height="247" >
				<table border="0" cellpadding="0" cellspacing="0" width="100%" height="247">
					<tr>
						<td width="100%" height="95" valign="top">
							<table border="0" cellpadding="0" cellspacing="0" width="100%">
								<tr>
									<td width="337" height="95"><img src="images/logo.jpg" width="337" height="95" alt="" /></td>
									<td width="124" height="88" valign="top" style="background:#3D8CE6 url(images/topmenu.jpg) no-repeat; padding-top:7px; ">
										<ul>
											<li><a href="<?php echo tep_href_link(FILENAME_ABOUT_US) ?>" class="topmenu">Company</a></li>
											<li><a href="<?php echo tep_href_link(FILENAME_SERVICE) ?>" class="topmenu">Service</a></li>
											<li><a href="<?php echo tep_href_link(FILENAME_ADVANCED_SEARCH) ?>" class="topmenu">Advanced search</a></li>
											<li><a href="<?php echo tep_href_link(FILENAME_CREATE_ACCOUNT) ?>" class="topmenu">Create an account</a></li>
											<li><a href="<?php echo tep_href_link(FILENAME_LOGIN) ?>" class="topmenu">Customer login</a></li>
										</ul>
									</td>
									<td width="240" height="90" valign="top" align="right" style="background:url(images/lang_bg.jpg) no-repeat; padding:5px 8px 0px 0px; ">
								<?php  if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
    include(DIR_WS_BOXES . 'languages.php');
	} ?>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
					<td width="100%" height="152">
						<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
							<tr>
								<td width="80" height="107" background="images/left_menu.jpg" style="padding-left:33px; padding-top:44px; ">
<a href="<?php echo tep_href_link(FILENAME_DEFAULT) ?>" class="leftmenu">Home</a>
<a href="<?php echo tep_href_link(FILENAME_PRODUCTS_NEW) ?>" class="leftmenu">New products</a>
<a href="<?php echo tep_href_link(FILENAME_ACCOUNT, '', 'SSL') ?>" class="leftmenu">My Account</a>  
<a href="<?php echo tep_href_link(FILENAME_SHOPPING_CART) ?>" class="leftmenu">Shopping cart</a>  
<a href="<?php echo tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') ?>" class="leftmenu">Checkout</a>  
<a href="<?php echo tep_href_link(FILENAME_CONTACT_US) ?>" class="leftmenu">Contacts</a></td>
		<td width="432" height="152"><img src="images/robot.jpg" width="432" height="152" alt="" /></td>
		<td width="166" height="107" style="background:#286901 url(images/shop_bg.jpg) no-repeat; padding-top:45px; text-align:left">
		<?php require(DIR_WS_BOXES . 'shopping_cart.php'); ?>
		<?php require(DIR_WS_BOXES . 'search.php'); ?>
		</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	
 	
 
<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>

</tr>
<tr>
	<td align="center">
		<table border="0" width="709" cellpadding="0" cellspacing="0">
		
